Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Attributes | Private Attributes | List of all members
org.coinor.examples.scalable.Scalable Class Referenceabstract

Abstract class for the scalable problems. More...

Inheritance diagram for org.coinor.examples.scalable.Scalable:
[legend]

## Public Member Functions
| Scalable (String name, double gl, double gu)
String | toString ()
abstract boolean | initialize (int n)
| In this function all problem sizes, bounds and initial guess should be initialized. More...
void | create ()
| Creates the problem based on the already computed problem sizes and bounds. More...
double[] | getInitialGuess ()
void | print (double[] x, String str)
Public Member Functions inherited from org.coinor.Ipopt
| Ipopt ()
| Creates a new NLP Solver using { DLLPATH} as path and { DLLNAME} as the DLL name. More...
| Ipopt (String path, String DLL)
| Creates a NLP Solver for the given DLL file. More...
void | dispose ()
| Dispose of the natively allocated memory. More...
boolean | create (int n, int m, int nele_jac, int nele_hess, int index_style)
| Create a new problem. More...
boolean | setIntegerOption (String keyword, int val)
| Function for setting an integer option. More...
boolean | setNumericOption (String keyword, double val)
| Function for setting a number option. More...
boolean | setStringOption (String keyword, String val)
| Function for setting a string option. More...
int | OptimizeNLP ()
| This function actually solve the problem. More...
double[] | getVariableValues ()
| Gives primal variable values at final point. More...
double | getObjectiveValue ()
| Gives objective function value at final point. More...
int | getStatus ()
| Gives Ipopt status of last OptimizeNLP call. More...
double[] | getConstraintValues ()
| Gives constraint function values at final point. More...
double[] | getConstraintMultipliers ()
| Gives constraint dual multipliers in final point. More...
double[] | getLowerBoundMultipliers ()
| Gives dual multipliers for variable lower bounds in final point. More...
double[] | getUpperBoundMultipliers ()
| Gives dual multipliers for variable upper bounds in final point. More...
boolean | get_scaling_parameters (double[] obj_scaling, int n, double[] x_scaling, int m, double[] g_scaling, boolean[] use_x_g_scaling)
| If you using_scaling_parameters = true, please overload this method,. More...
int | get_number_of_nonlinear_variables ()
| When LBFGS hessian approximation is used, this method should be overloaded. More...
boolean | get_list_of_nonlinear_variables (int num_nonlin_vars, int[] pos_nonlin_vars)
| When LBFGS hessian approximation is used, this method should be overloaded. More...

## Protected Attributes
double | gl
double | gu

## Private Attributes
String | name

## Additional Inherited Members
Static Public Attributes inherited from org.coinor.Ipopt
static final String | DLLNAME = "jipopt"
| The default DLL name of the native implementation (without any platform dependent prefixes or suffixes) More...
static final String | DLLPATH = "lib"
| The relative path where the native DLL is found. More...
static final int | C_STYLE = 0
| Use C index style for iRow and jCol vectors. More...
static final int | FORTRAN_STYLE = 1
| Use FORTRAN index style for iRow and jCol vectors. More...
static final int | SOLVE_SUCCEEDED = 0
| The possible Ipopt status return codes: should be kept in sync with Ipopt return codes. More...
static final int | ACCEPTABLE_LEVEL = 1
static final int | INFEASIBLE_PROBLEM = 2
static final int | SEARCH_DIRECTION_TOO_SMALL = 3
static final int | DIVERGING_ITERATES = 4
static final int | USER_REQUESTED_STOP = 5
static final int | ITERATION_EXCEEDED = -1
static final int | RESTORATION_FAILED = -2
static final int | ERROR_IN_STEP_COMPUTATION = -3
static final int | CPUTIME_EXCEEDED = -4
static final int | NOT_ENOUGH_DEGREES_OF_FRE = -10
static final int | INVALID_PROBLEM_DEFINITION = -11
static final int | INVALID_OPTION = -12
static final int | INVALID_NUMBER_DETECTED = -13
static final int | UNRECOVERABLE_EXCEPTION = -100
static final int | NON_IPOPT_EXCEPTION = -101
static final int | INSUFFICIENT_MEMORY = -102
static final int | INTERNAL_ERROR = -199
Protected Member Functions inherited from org.coinor.Ipopt
abstract boolean | get_bounds_info (int n, double[] x_l, double[] x_u, int m, double[] g_l, double[] g_u)
| Callback function for the variable bounds and constraint sides. More...
abstract boolean | get_starting_point (int n, boolean init_x, double[] x, boolean init_z, double[] z_L, double[] z_U, int m, boolean init_lambda, double[] lambda)
| Callback function for retrieving a starting point. More...
abstract boolean | eval_f (int n, double[] x, boolean new_x, double[] obj_value)
| Callback function for the objective function. More...
abstract boolean | eval_grad_f (int n, double[] x, boolean new_x, double[] grad_f)
| Callback function for the objective function gradient. More...
abstract boolean | eval_g (int n, double[] x, boolean new_x, int m, double[] g)
| Callback function for the constraints. More...
abstract boolean | eval_jac_g (int n, double[] x, boolean new_x, int m, int nele_jac, int[] iRow, int[] jCol, double[] values)
| Callback function for the constraints Jacobian. More...
abstract boolean | eval_h (int n, double[] x, boolean new_x, double obj_factor, int m, double[] lambda, boolean new_lambda, int nele_hess, int[] iRow, int[] jCol, double[] values)
| Callback function for the hessian. More...
void | finalize () throws Throwable

## Detailed Description

Abstract class for the scalable problems.

Implementations should derive from this class and implement initialize(int) where all problem size, bounds, and inital guess should be initialized. Besides the initialization, the abstract functions for evaluation of objective, bounds, etc need to be implemented.

Author
  Rafael de Pelegrini Soares, Tong Kewei

Definition at line 23 of file Scalable.java.

## Constructor & Destructor Documentation

org.coinor.examples.scalable.Scalable.Scalable | ( | String | name,
|  | double | gl,
|  | double | gu
| ) |  |
| inline

Parameters

  name |
  gl | the constraint lower bound value for all elements of g
  gu | the constraint upper bound value for all elements of g

Definition at line 51 of file Scalable.java.

## Member Function Documentation

String org.coinor.examples.scalable.Scalable.toString | ( |  | ) |
| inline

Definition at line 58 of file Scalable.java.

abstract boolean org.coinor.examples.scalable.Scalable.initialize | ( | int | n | ) |
| pure virtual

In this function all problem sizes, bounds and initial guess should be initialized.

Parameters

  n | the problem size

Returns
  true if the given size is valid for this problem

Implemented in org.coinor.examples.scalable.LuksanVlcek1.

void org.coinor.examples.scalable.Scalable.create | ( |  | ) |
| inline

Creates the problem based on the already computed problem sizes and bounds.

Definition at line 76 of file Scalable.java.

double [] org.coinor.examples.scalable.Scalable.getInitialGuess | ( |  | ) |
| inline

Definition at line 81 of file Scalable.java.

void org.coinor.examples.scalable.Scalable.print | ( | double[] | x,
|  | String | str
| ) |  |
| inline

Definition at line 86 of file Scalable.java.

## Member Data Documentation

String org.coinor.examples.scalable.Scalable.name
| private

Definition at line 41 of file Scalable.java.

double org.coinor.examples.scalable.Scalable.gl
| protected

Definition at line 43 of file Scalable.java.

double org.coinor.examples.scalable.Scalable.gu
| protected

Definition at line 44 of file Scalable.java.

The documentation for this class was generated from the following file:

- contrib/JavaInterface/org/coinor/examples/scalable/Scalable.java